Vcenter CertificateManagement Vcenter SigningCertificate get

Vcenter CertificateManagement Vcenter SigningCertificate get

Retrieve the signing certificate chains for validating vCenter-issued tokens.

This operation was added in vSphere API 7.0.3.0.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires System.Read.
Request
URI
GET
https://{api_host}/api/vcenter/certificate-management/vcenter/signing-certificate
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

The active certificate chain and signing certificate chains for validating tokens.

{
    "active_cert_chain": {
        "cert_chain": [
            "string"
        ]
    },
    "signing_cert_chains": [
        {
            "cert_chain": [
                "string"
            ]
        }
    ]
}
active_cert_chain
Required

The certificate chain that is actively being use by vCenter token service to sign tokens.

This property was added in vSphere API 7.0.3.0.

array of object
signing_cert_chains
Required

List of signing certificate chains for validating vCenter-issued tokens. The list contains X509 certificate chains, each of which is ordered and contains the leaf, intermediate and root certs needed for the complete chain of trust. The leaf certificate is first in the chain and should be used for verifying vCenter-issued tokens.

This property was added in vSphere API 7.0.3.0.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/vcenter/certificate-management/vcenter/signing-certificate